/*
 * GNOME Hardware Browser
 *
 * Copyright (C) 2005 Alexandre Dussart
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "support.h"
#include "libdetect.h"


int insert_text(struct hardware_info *hinfo) {
gchar str[512];
GtkTextBuffer *buffer;

buffer = gtk_text_view_get_buffer (GTK_TEXT_VIEW (textview));

	if(hinfo->type == MEMORY) {
	sprintf(str, _("Memory Free:%d\nMemory Total:%d\nBuffers:%d\nCached:%d		\nFree swap:%d\nTotal swap:%d"),hinfo->free, hinfo->total, hinfo->cached, hinfo->swap_free, hinfo->swap_total);
	} else if(hinfo->type == DISK) {
	sprintf(str, _("Vendor:%s\nModel:%s\nBus Type:%s\nSize(512k blocks):%d\nheads:%d\n sectors:%d\ncylinders:%d"), 
			hinfo->vendor, 
			hinfo->model,
			bus2str(hinfo->bus),
			hinfo->size,
			hinfo->heads,
			hinfo->sectors,
			hinfo->cylinders);
	} else if(hinfo->type == CPU) {
	sprintf(str, _("Vendor:%s\nModel:%s\nFrequency:%d\nBogoMIPS:%s\nFLAGS:%s\nBugs:%s"),
			hinfo->vendor,
			hinfo->model,
			hinfo->freq,
			hinfo->bogomips,
			options2str(hinfo->options),
			hinfo->bugs);
	} else if(hinfo->type == FLOPPY ||
		  hinfo->type == CDROM) {
	sprintf(str, _("Vendor:%s\nModel:%s\nDevice:%s"),
			hinfo->vendor,
			hinfo->model,
			hinfo->device);
	}  else if(hinfo->type == MOUSE ||
		   hinfo->type == KEYBOARD) {
	sprintf(str, _("Vendor:%s\nModel:%s\nBus Type:%s\nDevice:%s"),
			hinfo->vendor, 
			hinfo->model,
			bus2str(hinfo->bus),
			hinfo->device);
	} else if(hinfo->type == MONITOR) {
	sprintf(str, _("Vendor:%s\nModel:%s\nHorizontal Range:%d-%d\nVertical Range:%d-%d"),
			hinfo->vendor,
			hinfo->model,
			hinfo->horizontal_min,
			hinfo->horizontal_max,
			hinfo->vertical_min,
			hinfo->vertical_max);
	} else if(hinfo->type == MODEM) {
	sprintf(str, _("Vendor:%s\nModel:%s\nBus Type:%s\nDevice:%s\nSpeed:%ld\nModule%s"),
			hinfo->vendor, 
			hinfo->model,
			bus2str(hinfo->bus),
			hinfo->device,
			hinfo->speed,
			hinfo->modulename);
	} else { 
	sprintf(str, _("Vendor:%s\nModel:%s\nBus Type:%s\nModule:%s"),
			hinfo->vendor, 
			hinfo->model,
			bus2str(hinfo->bus),
			hinfo->modulename);
	}



gtk_text_buffer_set_text(buffer, str,  -1);

return 0;
}
